Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::HButtonBox Class Reference

A GtkHButtonBox C++ wrapper class. More...

`#include <xfc/gtk/buttonbox.hh>`

Inheritance diagram for Xfc::Gtk::HButtonBox:

List of all members.

## Public Member Functions

Constructors

- HButtonBox (ButtonBoxStyle layout=BUTTONBOX_DEFAULT_STYLE, int spacing=0)
    Construct a new HButtonBox with the specified layout and spacing.
- virtual ~HButtonBox ()
    Destructor.

Accessors

- GtkHButtonBox * gtk_hbutton_box () const
    Get a pointer to the GtkHButtonBox structure.
- operator GtkHButtonBox * () const
    Conversion operator; safely converts a HButtonBox to a GtkHButtonBox pointer.

## Protected Member Functions

Constructors

- HButtonBox (GtkHButtonBox *hbutton_box, bool owns_reference=false)
    Construct a new HButtonBox from an existing GtkHButtonBox.

## Detailed Description

A GtkHButtonBox C++ wrapper class.

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

Buttons are packed into a button box the same way widgets are added to any other container, using Gtk::Container::add(). You can also use Gtk::Box::pack_start() or Gtk::Box::pack_end(), but for button boxes both these functions work just like Gtk::Container::add(), ie., they pack the button in a way that depends on the current layout style, and on whether set_child_secondary() has been called on it. The spacing between buttons can be set with Gtk::Box::set_spacing(). The arrangement and layout of the buttons can be changed with Gtk::ButtonBox::set_layout().

See also: the ButtonBox HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::HButtonBox::HButtonBox | ( | GtkHButtonBox * | hbutton_box,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new HButtonBox from an existing GtkHButtonBox.

Parameters:

  | hbutton_box | A pointer to a GtkHButtonBox.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The hbutton_box can be a newly created GtkHButtonBox or an existing GtkHButtonBox. (see G::Object::Object).

Xfc::Gtk::HButtonBox::HButtonBox | ( | ButtonBoxStyle | layout = `BUTTONBOX_DEFAULT_STYLE`,
|  | int | spacing = `0`
| ) | `[explicit]`

Construct a new HButtonBox with the specified layout and spacing.

Parameters:

  | layout | The way buttons are arranged in the button box.
  | spacing | The number of pixels to place between children of the button box.

The documentation for this class was generated from the following file:

- buttonbox.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3